using EVCB_OCPP.Packet.Messages.SmartCharging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.SmartCharging
{
    public class GetCompositeScheduleFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.GetCompositeSchedule.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(GetCompositeScheduleConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(GetCompositeScheduleRequest);
        }
    }
}
